#pragma once

#include <QWidget>

class MotorSlider : public QWidget
{
    Q_OBJECT
signals:
    void newPos(int);
public:
    MotorSlider();
    void setPos(int);

    bool auto_disable;
    bool pressed;
    int active;

    void paintEvent(QPaintEvent *);
    void mousePressEvent(QMouseEvent *);
    void mouseReleaseEvent(QMouseEvent *);
    void mouseMoveEvent(QMouseEvent *);
};
