//http://blog.codeimproved.net/posts/kinetic-scrolling.html
//Written by raz
//BSD license
#pragma once

#include <QObject>
#include <QScopedPointer>
class QsKineticScrollerImpl;
class QAbstractScrollArea;
class QAbstractItemView;
class QEvent;

void addScroller(QAbstractScrollArea *target);
void addScroller(QAbstractItemView *target);

class QsKineticScroller: public QObject
{
    Q_OBJECT
public:
    QsKineticScroller(QObject* parent = 0);
    ~QsKineticScroller();
    void enableKineticScrollFor(QAbstractScrollArea* scrollArea = 0);

protected:
    bool eventFilter(QObject* object, QEvent* event);

private slots:
    void onKineticTimerElapsed();

private:
    QScopedPointer<QsKineticScrollerImpl> d;
};
