#pragma once

#include <QWidget>

class QPushButton;
class QTimer;
class T3dViewer;
class T3DControl: public QWidget
{
    Q_OBJECT

public slots:
    void top_view();
    void save_click();
    void move_toggle(bool checked);
    void scale_click();
    void background_toggle(bool checked);
    void box_toggle(bool checked);
    void allbox_toggle(bool checked);
    void rotate_click();
    void rotate();

public:
    T3DControl(T3dViewer *pl, QWidget *parent = 0);

    QPushButton *BMoveFlag;
    QPushButton *BBox;
    QPushButton *BABox;
    QPushButton *BRotate;
    QTimer *rot_timer;

    T3dViewer *pl3;
};
