#ifndef MOTICX_HPP
#define MOTICX_HPP

#include <QThread>
#include <QImage>
#include <QNetworkAccessManager>
#include "USBVideo/i_video.hpp"

class MoticX : public QThread, public IVideo
{
    Q_OBJECT

public slots:
    void newData();

public:
    MoticX();
    ~MoticX();
    void Start();
    void Stop();
    QString getName() { return "Motic X"; }

    const QObject *getObject() { return this; }

signals:
    void ImgReceived(QImage Img);

public:
    bool openCamera();
    void closeCamera();

private:
    void run();

    bool init;
    QString ip;
    QNetworkAccessManager manager;
    QNetworkReply *reply;
    QByteArray ba;
    int pos_ba00;
};

#endif // MOTICX_HPP
